> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob 共有の一覧

> GET /v1/shares で、アカウントの有効な共有リンクを、有効期限、残りのダウンロード回数、パスワードの有無とともに一覧表示します。

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  アカウントの API キーです。これは[アカウント設定](https://squarecloud.app/ja/account/security)で確認できます。
</ParamField>

共有の一覧は、アカウントの共有リンクのうち、期限切れでも取り消し済みでもないものをすべて、それぞれの残りのダウンロード回数とともに返します。`blob:read` スコープが必要です。ファイルが削除、移動された、または公開範囲が変更されたリンクは、誰かが最初に開いた時点で一覧から外れます。

### レート制限

<Note>1 分間に 20 リクエスト (`RATE_LIMITED`、429)。</Note>

### レスポンス

<ResponseField name="status" type="string">
  成功した場合は "success"、失敗した場合は "error" です。
</ResponseField>

<ResponseField name="response" type="object">
  <Expandable title="オブジェクトを切り替え">
    <ResponseField name="shares" type="array">
      <Expandable title="オブジェクトを切り替え">
        <ResponseField name="id" type="string">
          共有 id。
        </ResponseField>

        <ResponseField name="url" type="string">
          リンク。
        </ResponseField>

        <ResponseField name="object" type="string">
          共有されたファイルの id。
        </ResponseField>

        <ResponseField name="expires_at" type="ISO 8601">
          リンクの有効期限。
        </ResponseField>

        <ResponseField name="remaining_downloads" type="number | null">
          残りのダウンロード回数。上限がない場合は `null`。
        </ResponseField>

        <ResponseField name="password" type="boolean">
          リンクがパスワードを要求するかどうか。
        </ResponseField>

        <ResponseField name="created_at" type="ISO 8601">
          リンクが作成された日時。
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://blob.squarecloud.app/v1/shares' \
    --header 'Authorization: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "status": "success",
    "response": {
      "shares": [
        {
          "id": "q8Zr2LwX7nT0vKc4Hs1YbA",
          "url": "https://files.squarecloud.dev/s/q8Zr2LwX7nT0vKc4Hs1YbA",
          "object": "prv/3155597145698959364/reports/q3_mugws5c0-9f86d081884c7d659a2feaa0c55ad015.pdf",
          "expires_at": "2026-10-02T12:00:00.000Z",
          "remaining_downloads": 3,
          "password": false,
          "created_at": "2026-09-25T12:00:00.000Z"
        }
      ]
    }
  }
  ```
</ResponseExample>

### エラー

| コード            | HTTP | 発生する状況              |
| -------------- | ---- | ------------------- |
| `RATE_LIMITED` | 429  | 1 分間に 20 リクエストを超えた。 |
